cat << EOF
# YAML input file for DataCoupler, It will be ingested and turn to Experiment YAML file 


## Model Information
ModelNameSend        : AMIPFORC
ModelNameReceive     : IFS_TOY
LogFileName          : amip.log

## Run Information  
RunLengthSec    : ${leg_length_sec}     
TimeStepSec     : ${cpl_freq_amip_sec}
StartYear       : ${leg_start_date_yyyymmdd:0:4}
StartMonth      : ${leg_start_date_yyyymmdd:4:2}
StartDay        : ${leg_start_date_yyyymmdd:6:2}
FixYear         : ${ifs_cmip_fixyear}
GridInfo        : 88838   # number of grid cells : L080_NX = 35718 @ T159 resolution / L128_NX = 88838  @ T255 resolution / L256_NX = 348528  @ T511 resolution

## Coupling Information  
FileInputVars:
   AMIP_sst_monthly :  { id : AMIP_sst_monthly,  grid_name: AMIP,     oasis_name: AMIP_sst,        file_pattern: tosbcs_input4MIPs_SSTsAndSeaIce_CMIP_PCMDI-AMIP-1-1-3_gn_187001-201706.nc,    netcdf_variable: tosbcs,        yref_min : 1870, yref_max: 2016, timestep:  monthly, interpolate : true,  scale_factor: 1,    offset: 273.15, min: 271.38, max: ,  update: true, accum: true}  
   AMIP_sic_monthly :  { id : AMIP_sic_monthly,  grid_name: AMIP,     oasis_name: AMIP_sic,        file_pattern: siconcbcs_input4MIPs_SSTsAndSeaIce_CMIP_PCMDI-AMIP-1-1-3_gn_187001-201706.nc, netcdf_variable: siconcbcs,     yref_min : 1870, yref_max: 2016, timestep:  monthly, interpolate : true,  scale_factor: 0.01, offset: 0,      min: 0,      max: 1, update: true, accum: true}
   CO2_em_monthly :    { id : CO2_em_monthly,    grid_name: CO2_emis, oasis_name: AMIP_CO2_emis,   file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412.nc,  netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep:  monthly, interpolate : false, scale_factor: 1,    offset: 0,      min: ,       max: ,  update: true, accum: true}
   CO2_land_monthly:   { id : CO2_land_monthly,  grid_name: CO2_emis, oasis_name: AMIP_CO2_land,   file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412.nc,  netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep:  monthly, interpolate : false, scale_factor: 0.5,  offset: 0,      min: ,      max: ,  update: true, accum: true}
   CO2_ocean_monthly:  { id : CO2_ocean_monthly, grid_name: CO2_emis, oasis_name: AMIP_CO2_ocean,  file_pattern: CO2-em-anthro_input4MIPs_emissions_CMIP_CEDS-2017-05-18_gn_200001-201412.nc,  netcdf_variable: CO2_em_anthro, yref_min : 1750, yref_max: 2018, timestep:  monthly, interpolate : false, scale_factor: 0.1,  offset: 0,     min: ,      max: ,  update: true, accum: true}
 
OasisOutputVars:
   AMIP_sst :       { send_id: AMIP_sst,       receive_id: A_SST,          send_grid_name: 'AMIP',       receive_grid_name: L128,     timestep: 'daily', scale_factor: 1, offset: 0, reset: true }
   AMIP_sic :       { send_id: AMIP_sic,       receive_id: A_Ice_frac,     send_grid_name: 'AMIP',       receive_grid_name: L128,     timestep: 'daily', scale_factor: 1, offset: 0, reset: true }
   AMIP_CO2_emis :  { send_id: AMIP_CO2_emis,  receive_id: A_CO2_emis,     send_grid_name: 'CO2_emis',   receive_grid_name: B128,     timestep: 'daily', scale_factor: 1, offset: 0, reset: true }
   AMIP_CO2_land :  { send_id: AMIP_CO2_land,  receive_id: A_CO2_land,     send_grid_name: 'CO2_emis',   receive_grid_name: B128,     timestep: 'daily', scale_factor: 1, offset: 0, reset: true }
   AMIP_CO2_ocean : { send_id: AMIP_CO2_ocean, receive_id: A_CO2_ocean,    send_grid_name: 'CO2_emis',   receive_grid_name: B128,     timestep: 'daily', scale_factor: 1, offset: 0, reset: true }

LDebug : false
EOF

